{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
<!-- {% load crispy_forms_tags%}  -->
{% load widget_tweaks%} 


{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
   <div class="row align-items-center py-3">
      <div class="col-lg-8 col-xl-9 text-center text-lg-left">
         <h5 class="mb-3"><strong>CONTROL - MODIFICAR UNIDAD</strong></h5>
      </div>   
</div>
    {% if mensaje%}
        <div class="alert alert-{{tipo}}" role="alert">
            {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                    {{ message }}
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {{mensaje}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
      </div>
    {% endif %}

   <div class="row mt-0">
      <div class="col-sm-12 pr-4">
         <!--Striped table-->
         <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">
            <h6 class="mb-2">  </h6>

            <div class="col-lg-12" >
                <div class="pb-3 mb-3 ">
                    <form action='/unidad/editar' enctype="multipart/form-data" method="POST">
                        {% csrf_token %}
                            <h5 class="font-weight-700 section-title-4 text-left pb-2">
                                Datos Unidad
                                <div class="title-divider-round"></div>
                            </h5>
                            <div class="form-row">
                                <input type="hidden" name="id" value="{{unidad.id}}">
                                <div class="col-md-5 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Nombre:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa fa-i-cursor"></i></span>
                                            </div>
                                            <input type="text" name="nombre" maxlength="256" placeholder="Nombre de la unidad" name="nombre" id="nombre" class="form-control form-control-lg" value="{{ unidad.nombre }}" required>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2">
                                        <label class="text-uppercase">Teléfono Fijo:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-mobile-alt"></i></span>
                                            </div>
                                            <input type="text" name="tel_fijo" maxlength="8" placeholder="2226-6200" name="tel_fijo" id="tel_fijo" class="form-control form-control-lg" value="{{ unidad.tel_fijo }}" required>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2">
                                        <label class="text-uppercase">Extension:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-mobile-alt"></i></span>
                                            </div>
                                            <input type="text" name="extension" value="0" maxlength="5" placeholder="2226-6200" name="extension" id="extension" class="form-control form-control-lg" value="{{ unidad.extension }}" required> 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">Correo:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-envelope-open-text"></i></span>
                                            </div> 
                                            <input type="email" name="correo" maxlength="128" placeholder="ejemplo@se.gob.edu" name="correo" id="correo" value="{{ unidad.correo }}"  class="form-control form-control-lg"> 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-3 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Abreviatura:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa fa-circle"></i></span>
                                            </div>
                                            <input type="text" name="abreviatura" maxlength="16" placeholder="Abreviatura" name="abreviatura" id="abreviatura" value="{{ unidad.abreviatura }}" class="form-control form-control-lg"> 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">Código:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-circle"></i></span>
                                            </div>
                                            <input type="text" name="codigo" maxlength="14" placeholder="CODIGO" name="codigo" id="codigo" class="form-control form-control-lg" value="{{ unidad.codigo }}" disable="true" required>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                            </div>    
                                
                            <h5 class="font-weight-700 section-title-4 text-left pb-2">
                                Ubicacion Unidad
                                <div class="title-divider-round"></div>
                            </h5>

                            <div class="form-row align-items-center">
                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">Departamento:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <select name="departamento" name="departamento" id="departamento" class="form-control form-control-lg" required>
                                                <option value="{{  unidad.departamento.id }}" selected> {{ unidad.departamento }} </option>
                                                {% for d in depa %}
                                                <option value="{{ d.id }}" selected> {{ d.nombre }} </option>
                                                {% endfor %}
                                            </select>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">Municipio:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <select name="municipio" name="municipio" id="municipio" class="form-control form-control-lg" required>
                                                <option value="{{ unidad.municipio.id  }}" selected> {{ unidad.municipio }} </option>
                                            </select>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">Aldea:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <select name="aldea" name="aldea" id="aldea" class="form-control form-control-lg">
                                                <option value="{{ unidad.aldea.id  }}" selected> {{ unidad.aldea }} </option>
                                            </select>
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                    </div>
                                </div>
                            
                        </div>

                        <h5 class="font-weight-700 section-title-4 text-left pb-2">
                            Generalidades Unidad
                            <div class="title-divider-round"></div>
                        </h5>
                        <div class="form-row align-items-center"> 
                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">En Funcionamiento?:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-briefcase"></i></span>
                                        </div>
                                        <select name="en_funcionamiento" class="form-control"  id="en_funcionamiento">
                                            <option value="{{ unidad.en_funcionamiento }}" selected> -- {{ efun }} -- </option>
                                          
                                            <option value="1">SI</option>
                                          
                                            <option value="2">NO</option>
                                          
                                          </select>
                                        <div class="input-focus-bg"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">Año que inicio funcionamiento:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-calendar"></i></span>
                                        </div>
                                        <input type="date" name="en_funcionamiento_anio" class="form-control" id="en_funcionamiento_anio" value="{{ anio }}" >
                                        <div class="input-focus-bg"></div>
                                    </div>
                                </div>
                            </div> 
                            <input type="hidden" name="id" id="id" value="{{unidad.id}}">
                    
                    </div>
                    <div class="col-12">
                        <div class="text-md-right">
                            <a href="/unidad/listar" class="btn btn-lg btn-round btn-outline-primary">Cancelar</a>
                            <button type="submit" class="btn btn-lg btn-round btn-primary ml-2"><i class="fas fa-pencil"></i> Modificar
                            </button>
                        </div>
                    </div>
                    </form>
                        
                </div>
            </div>
          
         </div>
         <!--/Striped table-->
      </div>
   </div>
    <!--GO TO THE TOP-->
  <div class="go-to-top go-top-fadeInRight">
    <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>

{% include "general/footer.html" %}
{%endblock%}
{% block js%}
<script>
     

    $("#departamento").change(function(){
        $("#municipio").html('<option value="0" selected disabled>--------</option>');
        dep = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxmun' %}",
            type: 'GET',
            data:{
                data: 'municipios',
                dep: dep
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#municipio").append('<option value='+key+'>'+val.nombre+'</option');
            });
        });
    });
</script>

<script>
    $("#municipio").change(function(){
        $("#aldea").html('<option value="0" selected disabled>--------</option>');
        mun = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxald' %}",
            type: 'GET',
            data:{
                data: 'aldeas',
                mun: mun
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#aldea").append('<option value='+key+'>'+val.nombre+'</option');
            });
        });
    });
</script>
{% endblock %}
